package com.ym.mec.biz.dal.entity;

import com.ym.mec.biz.dal.entity.CourseSchedule.CourseScheduleType;
import org.apache.commons.lang3.builder.ToStringBuilder;

/**
 * 对应数据库表(music_group_payment_student_member_course_detail):
 */
public class MusicGroupPaymentStudentMemberCourseDetail {

	/**  */
	private Long id;
	
	/**  */
	private Long musicGroupPaymentCalenderId;
	
	/**  */
	private Long musicGroupPaymentCalenderDetailId;
	
	/**  */
	private Integer userId;

	/**  用来标注当前缴费项目排了哪些类型的课以及课时数*/
	private String courseDetail;

	/**  会员可排课时长*/
	private Integer memberCourseMinutes;
	
	/**  已消耗时长*/
	private Integer usedCourseMinutes;
	
	/**  */
	private java.util.Date createTime;
	
	/**  */
	private java.util.Date updateTime;

	public String getCourseDetail() {
		return courseDetail;
	}

	public void setCourseDetail(String courseDetail) {
		this.courseDetail = courseDetail;
	}

	public Integer getMemberCourseMinutes() {
		return memberCourseMinutes;
	}

	public void setMemberCourseMinutes(Integer memberCourseMinutes) {
		this.memberCourseMinutes = memberCourseMinutes;
	}

	public void setId(Long id){
		this.id = id;
	}
	
	public Long getId(){
		return this.id;
	}
			
	public void setMusicGroupPaymentCalenderId(Long musicGroupPaymentCalenderId){
		this.musicGroupPaymentCalenderId = musicGroupPaymentCalenderId;
	}
	
	public Long getMusicGroupPaymentCalenderId(){
		return this.musicGroupPaymentCalenderId;
	}
			
	public void setMusicGroupPaymentCalenderDetailId(Long musicGroupPaymentCalenderDetailId){
		this.musicGroupPaymentCalenderDetailId = musicGroupPaymentCalenderDetailId;
	}
	
	public Long getMusicGroupPaymentCalenderDetailId(){
		return this.musicGroupPaymentCalenderDetailId;
	}
			
	public void setUserId(Integer userId){
		this.userId = userId;
	}
	
	public Integer getUserId(){
		return this.userId;
	}
			
	public void setUsedCourseMinutes(Integer usedCourseMinutes){
		this.usedCourseMinutes = usedCourseMinutes;
	}
	
	public Integer getUsedCourseMinutes(){
		return this.usedCourseMinutes;
	}
			
	public void setCreateTime(java.util.Date createTime){
		this.createTime = createTime;
	}
	
	public java.util.Date getCreateTime(){
		return this.createTime;
	}
			
	public void setUpdateTime(java.util.Date updateTime){
		this.updateTime = updateTime;
	}
	
	public java.util.Date getUpdateTime(){
		return this.updateTime;
	}
			
	@Override
	public String toString() {
		return ToStringBuilder.reflectionToString(this);
	}

}
